<?php

require_once('classes/class.mysql.php');
require_once('classes/class.phpmailer.php');

if(isset($_POST['action']) && $_POST['action'] == 'submitform')
{
	//new mysql
	
	$connection = new Mysql;
	
	//recieve the variables
	
	$name = $_POST['name'];
	$email = $_POST['email'];
	$url = $_POST['url'];
	$comment = $_POST['comment'];
	$ip = gethostbyname($_SERVER['REMOTE_ADDR']);
	
	//save the data on the DB
	
	$insert_query = sprintf("INSERT INTO contacts (name, email, url, comment, date, ip) VALUES (%s, %s, %s, %s, NOW(), %s)",
							sanitize($name, "text"),
							sanitize($email, "text"),
							sanitize($url, "text"),
							sanitize($comment, "text"),
							sanitize($ip, "text"));
	
	$result = $connection->query($insert_query);
	
	if($result)
	{
		//send the email
		
		$mail = new PHPMailer();
		$mail->IsSMTP(); // telling the class to use SMTP
		$mail->Host = "smtp.domain.com"; // SMTP server
		$mail->From = "noreply@domain.com";
		$mail->FromName = "Website";
		$mail->Subject = "New contact from the website";
		
		//message body
			
		$body = "<strong>New contact</strong><br />";
		$body .= "Name: ".$name."<br />";
		$body .= "Email: ".$email."<br />";
		$body .= "Comment: ".$comment."<br />";
		$body .= "IP: ".$ip."<br />";
			
		$mail->MsgHTML($body);
		$mail->AddAddress("your@email.com", "your name");
		
		if(!$mail->Send()) {
		  echo "error";
		} else {
		  echo "ok";
		}
	}
}

function sanitize($value, $type) 
{
  $value = (!get_magic_quotes_gpc()) ? addslashes($value) : $value;

  switch ($type) {
    case "text":
      $value = ($value != "") ? "'" . $value . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $value = ($value != "") ? intval($value) : "NULL";
      break;
    case "double":
      $value = ($value != "") ? "'" . doubleval($value) . "'" : "NULL";
      break;
    case "date":
      $value = ($value != "") ? "'" . $value . "'" : "NULL";
      break;
  }
  
  return $value;
}
?>