<?php

require_once('classes/class.mysql.php');
require_once('classes/class.phpmailer.php');

if(isset($_POST['action']) && $_POST['action'] == 'submitform')
{
	//new mysql
	
	$connection = new Mysql;
	
	//recieve the variables
	
	$name = $_POST['name'];
	$email = $_POST['email'];
	$url = $_POST['url'];
	$comment = $_POST['comment'];
	$ip = gethostbyname($_SERVER['REMOTE_ADDR']);
	
	//save the data on the DB
	
	$insert_query = sprintf("INSERT INTO contacts (name, email, url, comment, date, ip) VALUES (%s, %s, %s, %s, NOW(), %s)",
							sanitize($name, "text"),
							sanitize($email, "text"),
							sanitize($url, "text"),
							sanitize($comment, "text"),
							sanitize($ip, "text"));
	
	$result = $connection->query($insert_query);
	
	if($result)
	{
		//send the email
		
		$mail = new PHPMailer();
		$mail->IsSMTP(); // telling the class to use SMTP
		$mail->Host = "smtp.domain.com"; // SMTP server
		$mail->From = "noreply@domain.com";
		$mail->FromName = "Website";
		$mail->Subject = "New contact from the website";
		
		//message body
			
		$body = "<strong>New contact</strong><br />";
		$body .= "Name: ".$name."<br />";
		$body .= "Email: ".$email."<br />";
		$body .= "Comment: ".$comment."<br />";
		$body .= "IP: ".$ip."<br />";
			
		$mail->MsgHTML($body);
		$mail->AddAddress("your@email.com", "your name");
		
		if(!$mail->Send()) {
		  echo "An error has occurred";
		} else {
		  echo "Your message has been sent";
		}
	}
}

function sanitize($value, $type) 
{
  $value = (!get_magic_quotes_gpc()) ? addslashes($value) : $value;

  switch ($type) {
    case "text":
      $value = ($value != "") ? "'" . $value . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $value = ($value != "") ? intval($value) : "NULL";
      break;
    case "double":
      $value = ($value != "") ? "'" . doubleval($value) . "'" : "NULL";
      break;
    case "date":
      $value = ($value != "") ? "'" . $value . "'" : "NULL";
      break;
  }
  
  return $value;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TheTechLabs.com - PHP form mail Tutorial</title>
</head>
<body>

<form id="contact" name="contact" action="contact.php" method="post">

<p><label>Name: <input type="text" id="name" name="name" value="" /></label></p>

<p><label>Email: <input type="text" id="email" name="email" value="" /></label></p>

<p><label>Website: <input type="text" id="url" name="url" value="http://" /></label></p>

<p><label>Comment:<br /><textarea id="comment" name="comment"></textarea></label></p>

<input type="hidden" id="action" name="action" value="submitform" />

<p><input type="submit" id="submit" name="submit" value="Submit" /> <input type="reset" id="reset" name="reset" value="Reset" /></p>

</form>

</body>
</html>